/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.expressions.IIterable;

import dwt.dwthelper.utils;

import java.util.Iterator;

import dwtx.core.runtime.IAdaptable;
import dwtx.core.runtime.IAdapterManager;

/**
 * Objects that are adaptable to <code>IIterable</code> can be used
 * as the default variable in an iterate expression.
 * 
 * @see IAdaptable
 * @see IAdapterManager
 * 
 * @since 3.3
 */
public interface IIterable {

    /**
     * Returns an iterator to iterate over the elements.
     * 
     * @return an iterator
     */
    public Iterator iterator();
}
