/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others. All rights reserved.   This
 * program and the accompanying materials are made available under the terms of
 * the Eclipse Public License v1.0 which accompanies this distribution, and is
 * available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 **********************************************************************/
module dwtx.core.internal.content.ContentMessages;

import dwt.dwthelper.utils;

import java.util.Date;

import dwtx.osgi.util.NLS;

// Runtime plugin message catalog
public class ContentMessages extends NLS {

    /**
     * The unique identifier constant of this plug-in.
     */
    public static final String OWNER_NAME = "dwtx.core.contenttype"; //$NON-NLS-1$

    private static final String BUNDLE_NAME = "dwtx.core.internal.content.messages"; //$NON-NLS-1$

    // Content type manager
    public static String content_badInitializationData;
    public static String content_errorReadingContents;
    public static String content_errorLoadingSettings;
    public static String content_errorSavingSettings;
    public static String content_invalidContentDescriber;
    public static String content_invalidProperty;
    public static String content_missingIdentifier;
    public static String content_missingName;
    public static String content_parserConfiguration;

    static {
        // load message values from bundle file
        reloadMessages();
    }

    public static void reloadMessages() {
        NLS.initializeMessages(BUNDLE_NAME, ContentMessages.class);
    }

    /**
     * Print a debug message to the console. 
     * Pre-pend the message with the current date and the name of the current thread.
     */
    public static void message(String message) {
        StringBuffer buffer = new StringBuffer();
        buffer.append(new Date(System.currentTimeMillis()));
        buffer.append(" - ["); //$NON-NLS-1$
        buffer.append(Thread.currentThread().getName());
        buffer.append("] "); //$NON-NLS-1$
        buffer.append(message);
        System.out.println(buffer.toString());
    }
}
