/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.internal.content.ILazySource;

import dwt.dwthelper.utils;

/**
 * A common abstract view for lazy character/binary input streams.
 * 
 * @since 3.1
 */
public interface ILazySource {
    /**
     * @return a bool indicating whether this stream is character or byte-based 
     */
    public bool isText();

    /**
     * Rewinds the stream.
     */
    public void rewind();
}
