/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.core.internal.databinding.conversion.NumberToShortConverter;

import dwt.dwthelper.utils;

import com.ibm.icu.text.NumberFormat;

/**
 * Converts from a Number to a Short.
 * <p>
 * Class is thread safe.
 * </p>
 * @since 1.0
 */
public class NumberToShortConverter extends NumberToNumberConverter {
    /**
     * @param numberFormat
     * @param fromType
     * @param primitive
     */
    public NumberToShortConverter(NumberFormat numberFormat, Class fromType,
            bool primitive) {

        super(numberFormat, fromType, (primitive) ? Short.TYPE : Short.class);
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.internal.databinding.conversion.NumberToNumberConverter#doConvert(java.lang.Number)
     */
    protected Number doConvert(Number number) {
        if (StringToNumberParser.inShortRange(number)) {
            return new Short(number.shortValue());
        }

        return null;
    }
}
