/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.core.internal.databinding.conversion.StatusToStringConverter;

import dwt.dwthelper.utils;

import dwtx.core.databinding.conversion.Converter;
import dwtx.core.databinding.conversion.IConverter;
import dwtx.core.runtime.IStatus;

/**
 * Converts an IStatus into a String.  The message of the status is the returned value.
 * 
 * @since 1.0
 */
public class StatusToStringConverter extends Converter implements IConverter {
    /**
     * Constructs a new instance.
     */
    public StatusToStringConverter() {
        super(IStatus.class, String.class);
    }
    
    /* (non-Javadoc)
     * @see dwtx.core.databinding.conversion.IConverter#convert(java.lang.Object)
     */
    public Object convert(Object fromObject) {
        if (fromObject is null) {
            throw new IllegalArgumentException("Parameter 'fromObject' was null."); //$NON-NLS-1$
        }
        
        IStatus status = (IStatus) fromObject;
        return status.getMessage();
    }
}
