/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.core.internal.databinding.validation.StringToByteValidator;

import dwt.dwthelper.utils;

import dwtx.core.internal.databinding.conversion.StringToNumberParser;

/**
 * @since 1.0
 */
public class StringToByteValidator extends AbstractStringToNumberValidator {
    private static final Byte MIN = new Byte(Byte.MIN_VALUE);
    private static final Byte MAX = new Byte(Byte.MAX_VALUE);
    
    /**
     * @param converter
     */
    public StringToByteValidator(NumberFormatConverter converter) {
        super(converter, MIN, MAX);
    }

    /* (non-Javadoc)
     * @see dwtx.core.internal.databinding.validation.AbstractStringToNumberValidator#isInRange(java.lang.Number)
     */
    protected bool isInRange(Number number) {
        return StringToNumberParser.inByteRange(number);
    }
}
