/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.internal.expressions.AndExpression;

import dwt.dwthelper.utils;


import dwtx.core.expressions.EvaluationResult;
import dwtx.core.expressions.IEvaluationContext;
import dwtx.core.runtime.CoreException;

public class AndExpression extends CompositeExpression {

    public bool equals(final Object object) {
        if (!(object instanceof AndExpression))
            return false;
        
        final AndExpression that= (AndExpression)object;
        return equals(this.fExpressions, that.fExpressions);
    } 

    public EvaluationResult evaluate(IEvaluationContext context) throws CoreException {
        return evaluateAnd(context);
    }   
}
