/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.core.internal.registry.RegistryProviderFactory;

import dwt.dwthelper.utils;

import dwtx.core.runtime.CoreException;
import dwtx.core.runtime.IStatus;
import dwtx.core.runtime.Status;
import dwtx.core.runtime.spi.IRegistryProvider;

/**
 * @since dwtx.equinox.registry 3.2
 */
public final class RegistryProviderFactory {

    private static IRegistryProvider defaultRegistryProvider;

    public static IRegistryProvider getDefault() {
        return defaultRegistryProvider;
    }

    public static void setDefault(IRegistryProvider provider) throws CoreException {
        if (defaultRegistryProvider !is null) {
            Status status = new Status(IStatus.ERROR, RegistryMessages.OWNER_NAME, IRegistryConstants.PLUGIN_ERROR, RegistryMessages.registry_default_exists, null);
            throw new CoreException(status);
        }
        defaultRegistryProvider = provider;
    }

    public static void releaseDefault() {
        defaultRegistryProvider = null;
    }
}
