/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.runtime.internal.adaptor.BundleLocalizationImpl;

import dwt.dwthelper.utils;

import java.util.ResourceBundle;

import org.osgi.framework.Bundle;

import dwtx.osgi.service.localization.BundleLocalization;

/**
 * The implementation of the service that gets ResourceBundle objects from a given 
 * bundle with a given locale. 
 * 
 * <p>Internal class.</p>
 */

public class BundleLocalizationImpl implements BundleLocalization {
    /**
     * The getLocalization method gets a ResourceBundle object for the given
     * locale and bundle.
     * 
     * @return A <code>ResourceBundle</code> object for the given bundle and locale.
     * If null is passed for the locale parameter, the default locale is used.
     */
    public ResourceBundle getLocalization(Bundle bundle, String locale) {
        return ((dwtx.osgi.framework.internal.core.AbstractBundle) (bundle)).getResourceBundle(locale);
    }
}
