/*******************************************************************************
 * Copyright (c) 2003, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.core.runtime.internal.adaptor.IPluginInfo;

import dwt.dwthelper.utils;

import java.util.ArrayList;
import java.util.Map;
import java.util.Set;

/**
 * Interface used as an entry to the IPluginConverter    
 * 
 * <p>Internal class.</p>
 */
public interface IPluginInfo {
    public Map getLibraries();

    public String[] getLibrariesName();

    public ArrayList getRequires();

    public String getMasterId();

    public String getMasterVersion();

    public String getMasterMatch();

    public String getPluginClass();

    public String getUniqueId();

    public String getVersion();

    public bool isFragment();

    public Set getPackageFilters();

    public String getPluginName();

    public String getProviderName();

    public bool isSingleton();

    public bool hasExtensionExtensionPoints();

    String validateForm();
}
