/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.equinox.internal.app.ErrorApplication;

import dwt.dwthelper.utils;

import dwtx.equinox.app.IApplication;
import dwtx.equinox.app.IApplicationContext;

/*
 * Special case class only used to throw exceptions when an application
 * cannot be found.
 */
public class ErrorApplication implements IApplication {
    static final String ERROR_EXCEPTION = "error.exception"; //$NON-NLS-1$

    public Object start(IApplicationContext context) throws Exception {
        Exception error = (Exception) context.getArguments().get(ERROR_EXCEPTION);
        if (error !is null)
            throw error;
        throw new IllegalStateException();
    }

    public void stop() {
        // do nothing
    }
}
