/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.help.IIndexContribution;

import dwt.dwthelper.utils;

/**
 * Represents either a complete or partial keyword index, as well as its
 * metadata.
 * 
 * @since 3.3
 */
public interface IIndexContribution {

    /**
     * Returns a unique identifier for this contribution.
     * 
     * @return the contribution's unique identifier
     */
    public String getId();

    /**
     * Returns this contributions index.
     * 
     * @return the index data for this contribution
     */
    public IIndex getIndex();

    /**
     * Returns the locale for this contribution.
     * 
     * @return the contribution's locale
     */
    public String getLocale();
}
