/*******************************************************************************
 * Copyright (c) 2005, 2007 Intel Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Intel Corporation - initial API and implementation
 *     IBM Corporation - 122967 [Help] Remote help system
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.help.internal.index.Index;

import dwt.dwthelper.utils;

import org.w3c.dom.Element;

import dwtx.help.IIndex;
import dwtx.help.IIndexEntry;
import dwtx.help.internal.UAElement;

public class Index extends UAElement implements IIndex {
    
    public static final String NAME = "index"; //$NON-NLS-1$

    public Index() {
        super(NAME);
    }
    
    public Index(IIndex src) {
        super(NAME, src);
        appendChildren(src.getChildren());
    }
    
    public Index(Element src) {
        super(src);
    }

    public IIndexEntry[] getEntries() {
        return (IIndexEntry[])getChildren(IIndexEntry.class);
    }
}
