/*******************************************************************************
 * Copyright (c) 2008 Michael Krauter, Catuno GmbH and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Michael Krauter, Catuno GmbH - initial API and implementation (bug 180223)
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.jface.internal.databinding.internal.swt.LinkObservableValue;

import dwt.dwthelper.utils;


import dwt.widgets.Link;
import dwtx.core.databinding.observable.Diffs;
import dwtx.jface.internal.databinding.provisional.swt.AbstractSWTObservableValue;

/**
 * @since 1.2
 * 
 */
public class LinkObservableValue extends AbstractSWTObservableValue {

    private final Link link;

    /**
     * @param link
     */
    public LinkObservableValue(Link link) {
        super(link);
        this.link = link;
    }

    public void doSetValue(final Object value) {
        String oldValue = link.getText();
        link.setText(value is null ? "" : value.toString()); //$NON-NLS-1$
        fireValueChange(Diffs.createValueDiff(oldValue, link.getText()));
    }

    public Object doGetValue() {
        return link.getText();
    }

    public Object getValueType() {
        return String.class;
    }

}
