/*******************************************************************************
 * Copyright (c) 2004, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.module.BundleConstraint;

import dwt.dwthelper.utils;

import dwtx.osgi.service.resolver.BundleSpecification;
import dwtx.osgi.service.resolver.HostSpecification;
import dwtx.osgi.service.resolver.VersionConstraint;

/*
 * A companion to BundleSpecification from the state for use while resolving
 */
public class BundleConstraint extends ResolverConstraint {
    BundleConstraint(ResolverBundle bundle, VersionConstraint bundleConstraint) {
        super(bundle, bundleConstraint);
    }

    bool isOptional() {
        if (constraint instanceof HostSpecification)
            return false;
        return ((BundleSpecification) constraint).isOptional();
    }
}
