/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.module.GenericCapability;

import dwt.dwthelper.utils;

import dwtx.osgi.service.resolver.BaseDescription;
import dwtx.osgi.service.resolver.BundleDescription;

public class GenericCapability extends VersionSupplier {
    ResolverBundle resolverBundle;

    GenericCapability(ResolverBundle resolverBundle, BaseDescription base) {
        super(base);
        this.resolverBundle = resolverBundle;
    }

    public BundleDescription getBundle() {
        return getBaseDescription().getSupplier();
    }

    public bool isFromFragment() {
        return resolverBundle.isFragment();
    }

    public ResolverBundle getResolverBundle() {
        return resolverBundle;
    }
}
