/*******************************************************************************
 * Copyright (c) 2004, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.module.ResolverExport;

import dwt.dwthelper.utils;

import org.osgi.framework.Constants;

import dwtx.osgi.service.resolver.BundleDescription;
import dwtx.osgi.service.resolver.ExportPackageDescription;

/*
 * A companion to ExportPackageDescription from the state used while resolving.
 */
public class ResolverExport extends VersionSupplier {
    private ResolverBundle resolverBundle;

    ResolverExport(ResolverBundle resolverBundle, ExportPackageDescription epd) {
        super(epd);
        this.resolverBundle = resolverBundle;
    }

    public ExportPackageDescription getExportPackageDescription() {
        return (ExportPackageDescription) base;
    }

    public BundleDescription getBundle() {
        return getExportPackageDescription().getExporter();
    }

    ResolverBundle getExporter() {
        return resolverBundle;
    }

    ResolverBundle getResolverBundle() {
        return getExporter();
    }

    String[] getUsesDirective() {
        return (String[]) getExportPackageDescription().getDirective(Constants.USES_DIRECTIVE);
    }
}
