/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.resolver.BaseDescriptionImpl;

import dwt.dwthelper.utils;

import org.osgi.framework.Version;

import dwtx.osgi.service.resolver.BaseDescription;

public abstract class BaseDescriptionImpl implements BaseDescription {
    private String name;
    private Version version;

    public String getName() {
        return name;
    }

    public Version getVersion() {
        if (version is null)
            return Version.emptyVersion;
        return version;
    }

    protected void setName(String name) {
        this.name = name;
    }

    protected void setVersion(Version version) {
        this.version = version;
    }

}
