/*******************************************************************************
 * Copyright (c) 2003, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.resolver.BundleSpecificationImpl;

import dwt.dwthelper.utils;

import dwtx.osgi.service.resolver.BaseDescription;
import dwtx.osgi.service.resolver.BundleDescription;
import dwtx.osgi.service.resolver.BundleSpecification;

public class BundleSpecificationImpl extends VersionConstraintImpl implements BundleSpecification {
    private bool exported;
    private bool optional;

    protected void setExported(bool exported) {
        this.exported = exported;
    }

    protected void setOptional(bool optional) {
        this.optional = optional;
    }

    public bool isExported() {
        return exported;
    }

    public bool isOptional() {
        return optional;
    }

    public bool isSatisfiedBy(BaseDescription supplier) {
        if (!(supplier instanceof BundleDescription))
            return false;
        BundleDescription candidate = (BundleDescription) supplier;
        if (candidate.getHost() !is null)
            return false;
        if (getName() !is null && getName().equals(candidate.getSymbolicName()) && (getVersionRange() is null || getVersionRange().isIncluded(candidate.getVersion())))
            return true;
        return false;
    }

    public String toString() {
        return "Require-Bundle: " + getName() + "; bundle-version=\"" + getVersionRange() + "\""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
    }
}
