/*******************************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.osgi.internal.resolver.SystemState;

import dwt.dwthelper.utils;

import org.osgi.framework.BundleException;

import dwtx.osgi.service.resolver.BundleDescription;
import dwtx.osgi.service.resolver.State;
import dwtx.osgi.service.resolver.StateDelta;

// this class provides synchronous access to resolve and add/remove/update bundle for the framework
public class SystemState extends StateImpl {
    synchronized public bool addBundle(BundleDescription description) {
        return super.addBundle(description);
    }

    synchronized public bool removeBundle(BundleDescription toRemove) {
        return super.removeBundle(toRemove);
    }

    synchronized public bool updateBundle(BundleDescription newDescription) {
        return super.updateBundle(newDescription);
    }

    public StateDelta compare(State state) throws BundleException {
        // we don't implement this (no big deal: the system state is private to the framework)
        throw new UnsupportedOperationException();
    }
}
