/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.ISaveableFilter;

import dwt.dwthelper.utils;

/**
 * A filter for selecting Saveables.
 * @see IWorkbench#saveAll(dwtx.jface.window.IShellProvider, dwtx.jface.operation.IRunnableContext, ISaveableFilter, bool)
 * @since 3.3
 */
public interface ISaveableFilter {
    
    /**
     * Indicate whether the given saveable matches this filter.
     * @param saveable the saveable being tested
     * @param containingParts the parts that contain the saveable. This list may 
     *    contain zero or more parts.
     * @return whether the given saveable matches this filter
     */
    public bool select(Saveable saveable, IWorkbenchPart[] containingParts);

}
