/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.browser.AbstractWorkbenchBrowserSupport;

import dwt.dwthelper.utils;

import dwtx.ui.PartInitException;

/**
 * Implements <code>IWorkbenchBrowserSupport</code> while leaving some methods
 * to the implementors. Classes that extend this abstract class are meant to be
 * contributed via 'dwtx.ui.browserSupport' extension point.
 * 
 * @since 3.1
 */
public abstract class AbstractWorkbenchBrowserSupport implements
        IWorkbenchBrowserSupport {
        
    private static final String SHARED_EXTERNAL_BROWSER_ID = "dwtx.ui.externalBrowser"; //$NON-NLS-1$

    /**
     * The default constructor.
     */
    public AbstractWorkbenchBrowserSupport() {
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.browser.IWorkbenchBrowserSupport#getExternalBrowser()
     */
    public IWebBrowser getExternalBrowser() throws PartInitException {
        return createBrowser(AS_EXTERNAL, SHARED_EXTERNAL_BROWSER_ID, null,
                null);
    }
    
    /* (non-Javadoc)
     * @see dwtx.ui.browser.IWorkbenchBrowserSupport#isInternalWebBrowserAvailable()
     */
    public bool isInternalWebBrowserAvailable() {
        return false;
    }
}
