/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.AbstractEnabledHandler;

import dwt.dwthelper.utils;

import dwtx.core.commands.AbstractHandler;
import dwtx.core.commands.HandlerEvent;

/**
 * Abstract base class that provides the enabled state, where changing the state
 * fires the HandlerEvent.
 * 
 * @since 3.3
 */
public abstract class AbstractEnabledHandler extends AbstractHandler {

    private bool enabled = true;

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.commands.AbstractHandler#isEnabled()
     */
    public bool isEnabled() {
        return enabled;
    }

    protected void setEnabled(bool isEnabled) {
        if (enabled !is isEnabled) {
            enabled = isEnabled;
            fireHandlerChanged(new HandlerEvent(this, true, false));
        }
    }
}
