/*******************************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.ErrorEditorPart;

import dwt.dwthelper.utils;




import dwt.widgets.Composite;
import dwtx.core.runtime.IProgressMonitor;
import dwtx.core.runtime.IStatus;
import dwtx.ui.IEditorInput;
import dwtx.ui.IEditorSite;
import dwtx.ui.internal.part.StatusPart;
import dwtx.ui.part.EditorPart;

/**
 * This part is shown instead the editors with errors.
 * 
 * @since 3.3
 */
public class ErrorEditorPart extends EditorPart {

    private IStatus error;

    /**
     * Creates instance of the class
     */
    public ErrorEditorPart() {
    }

    /**
     * Creates instance of the class
     * 
     * @param error the status
     */
    public ErrorEditorPart(IStatus error) {
        this.error = error;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#doSave(dwtx.core.runtime.IProgressMonitor)
     */
    public void doSave(IProgressMonitor monitor) {
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#doSaveAs()
     */
    public void doSaveAs() {
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.WorkbenchPart#createPartControl(dwt.widgets.Composite)
     */
    public void createPartControl(Composite parent) {
        if (error !is null) {
            new StatusPart(parent, error);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#init(dwtx.ui.IEditorSite,
     *      dwtx.ui.IEditorInput)
     */
    public void init(IEditorSite site, IEditorInput input) {
        setSite(site);
        setInput(input);
        setPartName(input.getName());
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#isDirty()
     */
    public bool isDirty() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#isSaveAsAllowed()
     */
    public bool isSaveAsAllowed() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.WorkbenchPart#setFocus()
     */
    public void setFocus() {

    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.EditorPart#setPartName(java.lang.String)
     */
    public void setPartName(String newName) {
        super.setPartName(newName);
    }
}
