/*******************************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.ErrorViewPart;

import dwt.dwthelper.utils;




import dwt.widgets.Composite;
import dwtx.core.runtime.IStatus;
import dwtx.ui.internal.part.StatusPart;
import dwtx.ui.part.ViewPart;

/**
 * This part is shown instead the views with errors.
 * 
 * @since 3.3
 */
public class ErrorViewPart extends ViewPart {

    private IStatus error;

    /**
     * Creates instance of the class
     */
    public ErrorViewPart() {
    }

    /**
     * Creates instance of the class
     * 
     * @param error the status
     */
    public ErrorViewPart(IStatus error) {
        this.error = error;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.WorkbenchPart#createPartControl(dwt.widgets.Composite)
     */
    public void createPartControl(Composite parent) {
        if (error !is null) {
            new StatusPart(parent, error);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.ViewPart#setPartName(java.lang.String)
     */
    public void setPartName(String newName) {
        super.setPartName(newName);
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.part.WorkbenchPart#setFocus()
     */
    public void setFocus() {
    }

}
