/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.ui.internal.InternalSaveable;

import dwt.dwthelper.utils;

import dwtx.core.runtime.jobs.Job;

/**
 * @since 3.3
 * 
 */
public class InternalSaveable {

    private Job backgroundSaveJob;

    /**
     * @return
     */
    /* package */Job getBackgroundSaveJob() {
        return backgroundSaveJob;
    }

    /**
     * @param savingInBackground
     *            The savingInBackground to set.
     */
    /* package */void setBackgroundSaveJob(Job backgroundSaveJob) {
        this.backgroundSaveJob = backgroundSaveJob;
    }

    /**
     * @return
     */
    /* package */ bool isSavingInBackground() {
        Job saveJob = backgroundSaveJob;
        if (saveJob is null) {
            return false;
        }
        return (backgroundSaveJob.getState() & (Job.WAITING | Job.RUNNING)) !is 0;
    }

}
