/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.OpenPerspectivePropertyTester;

import dwt.dwthelper.utils;

import dwtx.core.expressions.PropertyTester;
import dwtx.ui.IPerspectiveDescriptor;
import dwtx.ui.IWorkbenchPage;

/**
 * Tests if any Perspective is open or not.
 * 
 * @since 3.3
 * 
 */
public class OpenPerspectivePropertyTester extends PropertyTester {
    private static final String PROPERTY_IS_PERSPECTIVE_OPEN = "isPerspectiveOpen"; //$NON-NLS-1$

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.expressions.IPropertyTester#test(java.lang.Object,
     *      java.lang.String, java.lang.Object[], java.lang.Object)
     */
    public bool test(Object receiver, String property, Object[] args,
            Object expectedValue) {
        if (args.length is 0 && receiver instanceof WorkbenchWindow) {
            final WorkbenchWindow window = (WorkbenchWindow) receiver;
            if (PROPERTY_IS_PERSPECTIVE_OPEN.equals(property)) {
                IWorkbenchPage page = window.getActivePage();
                if (page !is null) {
                    IPerspectiveDescriptor persp = page.getPerspective();
                    if (persp !is null) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

}
