/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.TrimUtil;

import dwt.dwthelper.utils;


import dwt.DWT;
import dwt.graphics.GC;
import dwt.graphics.Point;
import dwt.layout.GridData;
import dwt.layout.GridLayout;
import dwt.widgets.Display;
import dwt.widgets.Shell;
import dwt.widgets.ToolBar;
import dwt.widgets.ToolItem;
import dwtx.jface.dialogs.Dialog;
import dwtx.jface.resource.JFaceResources;

/**
 * Simple class to provide some common internal Trim support.
 *
 * @since 3.2
 *
 */
public class TrimUtil {

    /**
     * Default height for workbench trim.
     */
    public static final int TRIM_DEFAULT_HEIGHT;
    static {
        Shell s = new Shell(Display.getCurrent(), DWT.NONE);
        s.setLayout(new GridLayout());
        ToolBar t = new ToolBar(s, DWT.NONE);
        t.setLayoutData(new GridData(DWT.FILL, DWT.FILL, true, true));
        ToolItem ti = new ToolItem(t, DWT.PUSH);
        ti.setImage(JFaceResources.getImageRegistry().get(Dialog.DLG_IMG_MESSAGE_INFO));
        s.layout();
        int toolItemHeight = t.computeSize(DWT.DEFAULT, DWT.DEFAULT).y;
        GC gc = new GC(s);
        Point fontSize = gc.textExtent("Wg"); //$NON-NLS-1$
        gc.dispose();
        TRIM_DEFAULT_HEIGHT = Math.max(toolItemHeight, fontSize.y);
        s.dispose();
        
    }
}
