/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *      IBM Corporation - initial API and implementation 
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.ViewLayout;

import dwt.dwthelper.utils;

import dwtx.core.runtime.Assert;
import dwtx.ui.IViewLayout;

/**
 * Implementation of IViewLayout.
 * This is an API facade on the internal ViewLayoutRec.
 *  
 * @since 3.0
 */
public class ViewLayout implements IViewLayout {
    private ViewLayoutRec rec;

    public ViewLayout(PageLayout pageLayout, ViewLayoutRec rec) {
        Assert.isNotNull(pageLayout);
        Assert.isNotNull(rec);
        this.rec = rec;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#getShowTitle()
     */
    public bool getShowTitle() {
        return rec.showTitle;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#isCloseable()
     */
    public bool isCloseable() {
        return rec.isCloseable;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#isMoveable()
     */
    public bool isMoveable() {
        return rec.isMoveable;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#isStandalone()
     */
    public bool isStandalone() {
        return rec.isStandalone;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#setCloseable(bool)
     */
    public void setCloseable(bool closeable) {
        rec.isCloseable = closeable;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.IViewLayout#setMoveable(bool)
     */
    public void setMoveable(bool moveable) {
        rec.isMoveable = moveable;
    }

}
