/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.ViewSite;

import dwt.dwthelper.utils;

import dwtx.core.runtime.IConfigurationElement;
import dwtx.ui.IViewPart;
import dwtx.ui.IViewReference;
import dwtx.ui.IViewSite;
import dwtx.ui.internal.util.Util;
import dwtx.ui.views.IViewDescriptor;

/**
 * A view container manages the services for a view.
 */
public class ViewSite extends PartSite implements IViewSite {
    
    public ViewSite(IViewReference ref, IViewPart view, WorkbenchPage page,
            String id, String pluginId, String registeredName) {

        super(ref, view, page);
        
        setId(id);
        setRegisteredName(registeredName);
        setPluginId(pluginId);
    }
    
    /**
     * Creates a new ViewSite.
     */
    public ViewSite(IViewReference ref, IViewPart view, WorkbenchPage page,
            IViewDescriptor desc) {
        super(ref, view, page);
        setConfigurationElement((IConfigurationElement) Util.getAdapter(desc, IConfigurationElement.class));
    }

    /**
     * Returns the secondary id or <code>null</code>.
     */
    public String getSecondaryId() {
        return ((IViewReference) getPartReference()).getSecondaryId();
    }

    /**
     * Returns the view.
     */
    public IViewPart getViewPart() {
        return (IViewPart) getPart();
    }
}
