/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.ui.internal.WorkbenchErrorHandlerProxy;

import dwt.dwthelper.utils;

import dwtx.ui.statushandlers.AbstractStatusHandler;
import dwtx.ui.statushandlers.StatusAdapter;

/**
 * A proxy handler which passes all statuses to handler assigned to current
 * application workbench advisor.
 * 
 * <strong>EXPERIMENTAL</strong> This class or interface has been added as part
 * of a work in progress. This API may change at any given time. Please do not
 * use this API without consulting with the Platform/UI team.
 * 
 * @since 3.3
 */
public class WorkbenchErrorHandlerProxy extends AbstractStatusHandler {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.statushandlers.AbstractStatusHandler#handle(dwtx.ui.statushandlers.StatusAdapter,
     *      int)
     */
    public void handle(final StatusAdapter statusAdapter, int style) {
        Workbench.getInstance().getAdvisor().getWorkbenchErrorHandler().handle(
                statusAdapter, style);
    }
}
