/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.activities.ws.ActivityViewerFilter;

import dwt.dwthelper.utils;

import dwtx.jface.viewers.Viewer;
import dwtx.jface.viewers.ViewerFilter;
import dwtx.ui.activities.WorkbenchActivityHelper;

/**
 * Generic viewer filter that works based on activity enablement.
 * 
 * @since 3.0
 */
public class ActivityViewerFilter extends ViewerFilter {

    private bool hasEncounteredFilteredItem = false;

    /* (non-Javadoc)
     * @see dwtx.jface.viewers.ViewerFilter#select(dwtx.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
     */
    public bool select(Viewer viewer, Object parentElement, Object element) {
        if (WorkbenchActivityHelper.filterItem(element)) {
            setHasEncounteredFilteredItem(true);
            return false;
        }
        return true;
    }

    /**
     * @return returns whether the filter has filtered an item
     */
    public bool getHasEncounteredFilteredItem() {
        return hasEncounteredFilteredItem;
    }

    /**
     * @param sets whether the filter has filtered an item
     */
    public void setHasEncounteredFilteredItem(bool hasEncounteredFilteredItem) {
        this.hasEncounteredFilteredItem = hasEncounteredFilteredItem;
    }
}
