/*******************************************************************************
 * Copyright (c) 2003, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.dialogs.ErrorPreferencePage;

import dwt.dwthelper.utils;


import dwt.DWT;
import dwt.widgets.Composite;
import dwt.widgets.Control;
import dwt.widgets.Text;
import dwtx.jface.resource.JFaceColors;
import dwtx.ui.internal.WorkbenchMessages;

/**
 * A page that is used to indicate an error in loading a page within the
 * workbench.
 * 
 * @since 3.0
 */
public class ErrorPreferencePage extends EmptyPreferencePage {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.jface.preference.PreferencePage#createContents(dwt.widgets.Composite)
     */
    protected Control createContents(Composite parent) {
        Text text = new Text(parent, DWT.MULTI | DWT.READ_ONLY | DWT.WRAP);
        text.setForeground(JFaceColors.getErrorText(text.getDisplay()));
        text.setBackground(text.getDisplay().getSystemColor(
                DWT.COLOR_WIDGET_BACKGROUND));
        text.setText(WorkbenchMessages.ErrorPreferencePage_errorMessage); 
        return text;
    }
}
