/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.dialogs.PreferenceBoldLabelProvider;

import dwt.dwthelper.utils;


import dwt.graphics.Font;
import dwtx.jface.preference.PreferenceLabelProvider;
import dwtx.jface.viewers.IFontProvider;
import dwtx.ui.dialogs.FilteredTree;
import dwtx.ui.dialogs.PatternFilter;

/**
 * This PreferenceBoldLabelProvider will bold those elements which really match
 * the search contents
 */
public class PreferenceBoldLabelProvider extends PreferenceLabelProvider
        implements IFontProvider {

    private FilteredTree filterTree;
    private PatternFilter filterForBoldElements = new PreferencePatternFilter();
    
    PreferenceBoldLabelProvider(FilteredTree filterTree) {
        this.filterTree = filterTree;
    }

    public Font getFont(Object element) {
        return FilteredTree.getBoldFont(element, filterTree,
                filterForBoldElements);
    }

}
