/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.dialogs.ViewPatternFilter;

import dwt.dwthelper.utils;

import dwtx.jface.viewers.Viewer;
import dwtx.ui.dialogs.PatternFilter;
import dwtx.ui.views.IViewCategory;
import dwtx.ui.views.IViewDescriptor;

/**
 * A class that handles filtering view node items based on a supplied
 * matching string.
 *  
 * @since 3.2
 *
 */
public class ViewPatternFilter extends PatternFilter {

    /**
     * Create a new instance of a ViewPatternFilter 
     * @param isMatchItem
     */
    public ViewPatternFilter() {
        super();
    }

    /*
     * (non-Javadoc)
     * @see dwtx.ui.internal.dialogs.PatternFilter#isElementSelectable(java.lang.Object)
     */
    public bool isElementSelectable(Object element) {
        return element instanceof IViewDescriptor;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.dialogs.PatternFilter#isElementMatch(dwtx.jface.viewers.Viewer, java.lang.Object)
     */
    protected bool isLeafMatch(Viewer viewer, Object element) {
        if (element instanceof IViewCategory) {
            return false;
        }

        String text = null;
        if (element instanceof IViewDescriptor) {
            IViewDescriptor desc = (IViewDescriptor) element;
            text = desc.getLabel();
            if (wordMatches(text)) {
                return true;
            }
        }

        return false;
    }
}
