/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.dialogs.WorkingSetFilter;

import dwt.dwthelper.utils;

import java.util.Set;

import dwtx.jface.viewers.Viewer;
import dwtx.jface.viewers.ViewerFilter;
import dwtx.ui.IWorkingSet;

public class WorkingSetFilter extends ViewerFilter {
        Set workingSetIds;
        
        public WorkingSetFilter(Set workingSetIds) {
            this.workingSetIds = workingSetIds;
        }
        
    public bool select(Viewer viewer, Object parentElement, Object element) {
        if (element instanceof IWorkingSet) {
            IWorkingSet workingSet = (IWorkingSet) element;
            String id = workingSet.getId();
            //if (!workingSet.isVisible())
            //  return false;
            if (workingSetIds !is null && id !is null) {
                return workingSetIds.contains(id);
            }
        }
        return true;
    }
}
