/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.expressions.AlwaysEnabledExpression;

import dwt.dwthelper.utils;

import dwtx.core.expressions.EvaluationResult;
import dwtx.core.expressions.Expression;
import dwtx.core.expressions.IEvaluationContext;

/**
 * An expression that simply returns <code>true</code> at all times. A shared
 * instance of this expression is provided.
 * 
 * @since 3.3
 * 
 */
public final class AlwaysEnabledExpression extends Expression {

    public static final AlwaysEnabledExpression INSTANCE = new AlwaysEnabledExpression();


    /**
     * Not to be instantiated
     */
    private AlwaysEnabledExpression() {
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.expressions.Expression#evaluate(dwtx.core.expressions.IEvaluationContext)
     */
    public EvaluationResult evaluate(IEvaluationContext context) {
        return EvaluationResult.TRUE;
    }
}
