/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.ui.internal.handlers.ClosePartHandler;

import dwt.dwthelper.utils;

import dwtx.core.commands.AbstractHandler;
import dwtx.core.commands.ExecutionEvent;
import dwtx.core.commands.ExecutionException;
import dwtx.ui.IEditorPart;
import dwtx.ui.IViewPart;
import dwtx.ui.IWorkbenchPart;
import dwtx.ui.IWorkbenchWindow;
import dwtx.ui.handlers.HandlerUtil;

/**
 * Provide a Handler for the Close Part command. This can then be bound to
 * whatever keybinding the user prefers.
 * 
 * @since 3.3
 */
public class ClosePartHandler extends AbstractHandler {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.commands.IHandler#execute(dwtx.core.commands.ExecutionEvent)
     */
    public Object execute(ExecutionEvent event) throws ExecutionException {
        IWorkbenchPart part = HandlerUtil.getActivePartChecked(event);
        IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindowChecked(event);

        if (part instanceof IEditorPart) {
            window.getActivePage().closeEditor((IEditorPart) part, true);
        } else if (part instanceof IViewPart) {
            window.getActivePage().hideView((IViewPart) part);
        }

        return null;
    }
}
