/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.handlers.EditActionSetsHandler;

import dwt.dwthelper.utils;

import dwtx.core.commands.AbstractHandler;
import dwtx.core.commands.ExecutionEvent;
import dwtx.core.commands.ExecutionException;
import dwtx.ui.IWorkbenchWindow;
import dwtx.ui.handlers.HandlerUtil;
import dwtx.ui.internal.WorkbenchPage;

/**
 * Customize the action sets and shortcuts.
 * 
 * @since 3.4
 */
public class EditActionSetsHandler extends AbstractHandler {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.commands.IHandler#execute(dwtx.core.commands.ExecutionEvent)
     */
    public Object execute(ExecutionEvent event) throws ExecutionException {
        IWorkbenchWindow activeWorkbenchWindow = HandlerUtil
                .getActiveWorkbenchWindow(event);

        if (activeWorkbenchWindow !is null) {
            WorkbenchPage page = (WorkbenchPage) activeWorkbenchWindow
                    .getActivePage();
            if (page !is null) {
                page.editActionSets();
            }
        }
        return null;
    }
}
