/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.handlers.PropertyDialogHandler;

import dwt.dwthelper.utils;


import dwt.widgets.Shell;
import dwtx.core.commands.AbstractHandler;
import dwtx.core.commands.ExecutionEvent;
import dwtx.core.commands.ExecutionException;
import dwtx.jface.preference.PreferenceDialog;
import dwtx.jface.viewers.ISelection;
import dwtx.jface.viewers.IStructuredSelection;
import dwtx.ui.IWorkbenchWindow;
import dwtx.ui.handlers.HandlerUtil;
import dwtx.ui.internal.dialogs.PropertyDialog;

/**
 * @since 3.4
 * 
 */
public class PropertyDialogHandler extends AbstractHandler {

    private String initialPageId = null;
    /*
     * (non-Javadoc)
     * 
     * @see dwtx.core.commands.IHandler#execute(dwtx.core.commands.ExecutionEvent)
     */
    public Object execute(ExecutionEvent event) throws ExecutionException {
        PreferenceDialog dialog;
        Object element = null;
        ISelection currentSelection = HandlerUtil.getCurrentSelection(event);
        IWorkbenchWindow activeWorkbenchWindow = HandlerUtil.getActiveWorkbenchWindow(event);
        Shell shell;
        
        if (currentSelection instanceof IStructuredSelection) {
            element = ((IStructuredSelection) currentSelection)
                    .getFirstElement();
        } else {
            return null;
        }
        
        if (activeWorkbenchWindow !is null){
            shell = activeWorkbenchWindow.getShell();
            dialog = PropertyDialog.createDialogOn(shell,
                    initialPageId, element);
            if (dialog !is null) {
                dialog.open();
            }
        }
        return null;
    }

}
