/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.ui.internal.keys.AlphabeticModifierKeyComparator;

import dwt.dwthelper.utils;

import java.util.Comparator;

import dwtx.ui.keys.ModifierKey;

/**
 * Compares modifier keys lexicographically by the name of the key.
 * 
 * @since 3.0
 */
public class AlphabeticModifierKeyComparator implements Comparator {

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Comparable#compareTo(java.lang.Object)
     */
    public int compare(Object left, Object right) {
        ModifierKey modifierKeyLeft = (ModifierKey) left;
        ModifierKey modifierKeyRight = (ModifierKey) right;
        return modifierKeyLeft.toString()
                .compareTo(modifierKeyRight.toString());
    }
}
