/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.menus.MenuActivation;

import dwt.dwthelper.utils;

import dwtx.core.expressions.Expression;
import dwtx.jface.action.IContributionItem;
import dwtx.ui.internal.services.EvaluationResultCache;

/**
 * @since 3.3
 * 
 */
public class MenuActivation extends EvaluationResultCache implements
        IMenuActivation {

    private IContributionItem fItem;

    /**
     * @param item
     *            this contribution ite
     * @param visibleWhen
     *            when it's visible
     * @param auth
     *            the menu authority responsible for this cache
     */
    public MenuActivation(IContributionItem item, Expression visibleWhen) {
        super(visibleWhen);
        fItem = item;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.internal.menus.IMenuActivation#getContribution()
     */
    public IContributionItem getContribution() {
        return fItem;
    }
}
