/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.preferences.AbstractBooleanListener;

import dwt.dwthelper.utils;

/**
 * @since 3.1
 */
public abstract class AbstractBooleanListener extends AbstractPropertyListener {

    private IDynamicPropertyMap map;
    private bool defaultValue;
    private String propertyId;
    
    public AbstractBooleanListener() {
    }
    
    public void attach(IDynamicPropertyMap map, String propertyId, bool defaultValue) {
        this.defaultValue = defaultValue;
        this.propertyId = propertyId;
        if (this.map !is null) {
            this.map.removeListener(this);
        }
        
        this.map = map;
        
        if (this.map !is null) {
            this.map.addListener(new String[]{propertyId}, this);
        }
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.preferences.AbstractPropertyListener#update()
     */
    protected void update() {
        handleValue(PropertyUtil.get(map, propertyId, defaultValue));
    }

    /**
     * @param b
     * @since 3.1
     */
    protected abstract void handleValue(bool b);
   
    
}
