/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.preferences.AbstractPropertyListener;

import dwt.dwthelper.utils;

/**
 * @since 3.1
 */
public abstract class AbstractPropertyListener implements IPropertyMapListener {

    /* (non-Javadoc)
     * @see dwtx.ui.internal.preferences.IPropertyMapListener#propertyChanged(java.lang.String[])
     */
    public void propertyChanged(String[] propertyIds) {
        update();
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.preferences.IPropertyMapListener#listenerAttached()
     */
    public void listenerAttached() {
        update();
    }

    protected abstract void update();
}
