/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.SystemMenuCloseAll;

import dwt.dwthelper.utils;

import dwtx.jface.action.Action;
import dwtx.ui.internal.WorkbenchMessages;
import dwtx.ui.presentations.IPresentablePart;
import dwtx.ui.presentations.IStackPresentationSite;

public class SystemMenuCloseAll extends Action implements ISelfUpdatingAction {

    private IStackPresentationSite presentation;

    public SystemMenuCloseAll(IStackPresentationSite presentation) {
        this.presentation = presentation;
        setText(WorkbenchMessages.PartPane_closeAll);
    }

    public void dispose() {
        presentation = null;
    }

    public void run() {
        presentation.close(presentation.getPartList());
    }

    public void update() {
        IPresentablePart[] parts = presentation.getPartList();
        setEnabled(parts.length !is 0);
    }

    public bool shouldBeVisible() {
        return true;
    }

}
