/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.SystemMenuSize;

import dwt.dwthelper.utils;


import dwt.widgets.Menu;
import dwtx.jface.action.ContributionItem;
import dwtx.ui.internal.PartPane;

public class SystemMenuSize extends ContributionItem {

    private PartPane partPane;

    public SystemMenuSize(PartPane pane) {
        setPane(pane);
    }

    public void setPane(PartPane pane) {
        partPane = pane;
    }

    public void dispose() {
        partPane = null;
    }

    public void fill(Menu menu, int index) {
        if (partPane !is null) {
            partPane.addSizeMenuItem(menu, index);
        }
    }

    public bool isDynamic() {
        return true;
    }
}
