/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.SystemMenuSizeFastView;

import dwt.dwthelper.utils;


import dwt.DWT;
import dwt.events.SelectionAdapter;
import dwt.events.SelectionEvent;
import dwt.widgets.Menu;
import dwt.widgets.MenuItem;
import dwtx.jface.action.ContributionItem;
import dwtx.ui.internal.FastViewPane;
import dwtx.ui.internal.WorkbenchMessages;

public class SystemMenuSizeFastView extends ContributionItem {

    private FastViewPane fastViewPane;

    public SystemMenuSizeFastView(FastViewPane fastViewPane) {
        this.fastViewPane = fastViewPane;
    }

    public void dispose() {
        fastViewPane = null;
    }

    public void fill(Menu menu, int index) {
        MenuItem item = new MenuItem(menu, DWT.NONE, index);
        item.setText(WorkbenchMessages.PartPane_size); 
        item.addSelectionListener(new SelectionAdapter() {

            public void widgetSelected(SelectionEvent e) {
                fastViewPane.moveSash();
            }
        });
        item.setEnabled(fastViewPane.getCurrentPane() !is null);
    }

    public bool isDynamic() {
        return true;
    }
}
