/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.UpdatingActionContributionItem;

import dwt.dwthelper.utils;

import dwtx.jface.action.ActionContributionItem;

/**
 * @since 3.0
 */
public class UpdatingActionContributionItem extends ActionContributionItem {

    /**
     * @param action
     */
    public UpdatingActionContributionItem(ISelfUpdatingAction action) {
        super(action);
    }

    /* (non-Javadoc)
     * @see dwtx.jface.action.IContributionItem#isVisible()
     */
    public bool isVisible() {
        ISelfUpdatingAction action = (ISelfUpdatingAction) getAction();
        return super.isVisible() && action.shouldBeVisible();
    }

    /* (non-Javadoc)
     * @see dwtx.jface.action.IContributionItem#update(java.lang.String)
     */
    public void update(String propertyName) {
        ISelfUpdatingAction action = (ISelfUpdatingAction) getAction();
        action.update();

        super.update(propertyName);
    }

    /* (non-Javadoc)
     * @see dwtx.jface.action.IContributionItem#isDynamic()
     */
    public bool isDynamic() {
        return true;
    }
}
