/*******************************************************************************
 * Copyright (c) 2004, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.defaultpresentation.DefaultMultiTabListener;

import dwt.dwthelper.utils;

import dwtx.ui.internal.preferences.AbstractBooleanListener;
import dwtx.ui.internal.preferences.IDynamicPropertyMap;

/**
 * @since 3.1
 */
public final class DefaultMultiTabListener extends AbstractBooleanListener {

    private DefaultTabFolder folder;
    
    /**
     * @param map
     * @param propertyId
     * @param defaultValue
     */
    public DefaultMultiTabListener(IDynamicPropertyMap map, String propertyId, DefaultTabFolder folder) {
        super();
        
        this.folder = folder;
        
        attach(map, propertyId, true);
    }
    
    /* (non-Javadoc)
     * @see dwtx.ui.internal.preferences.AbstractBooleanListener#handleValue(bool)
     */
    protected void handleValue(bool b) {
        folder.setSingleTab(!b);
    }

}
