/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.internal.presentations.util.WidgetTabItem;

import dwt.dwthelper.utils;

import dwt.widgets.Widget;

/**
 * @since 3.1
 */
public abstract class WidgetTabItem extends AbstractTabItem {

    private Object data;
    private Widget widget;
    
    public WidgetTabItem(Widget theWidget) {
        this.widget = theWidget;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#dispose()
     */
    public void dispose() {
        widget.dispose();
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#getData()
     */
    public Object getData() {
        return data;
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.presentations.util.AbstractTabItem#setData(java.lang.Object)
     */
    public void setData(Object data) {
        this.data = data;
    }

    public Widget getWidget() {
        return widget;
    }
}
