/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.services.EvaluationReference;

import dwt.dwthelper.utils;

import dwtx.core.expressions.Expression;
import dwtx.jface.util.IPropertyChangeListener;
import dwtx.ui.services.IEvaluationReference;

/**
 * @since 3.3
 * 
 */
public class EvaluationReference extends EvaluationResultCache implements
        IEvaluationReference {

    private IPropertyChangeListener listener;
    private String property;
    private bool postingChanges = true;

    /**
     * @param expression
     */
    public EvaluationReference(Expression expression,
            IPropertyChangeListener listener, String property) {
        super(expression);
        this.listener = listener;
        this.property = property;
    }

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.internal.services.IEvaluationReference#getListener()
     */
    public IPropertyChangeListener getListener() {
        return listener;
    }
    
    public String getProperty() {
        return property;
    }
    
    /* (non-Javadoc)
     * @see dwtx.ui.internal.services.IEvaluationReference#setFlopping(bool)
     */
    public void setPostingChanges(bool evaluationEnabled) {
        this.postingChanges = evaluationEnabled;
    }
    
    /* (non-Javadoc)
     * @see dwtx.ui.internal.services.IEvaluationReference#isFlopping()
     */
    public bool isPostingChanges() {
        return postingChanges;
    }
}
