/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.services.EvaluationServiceFactory;

import dwt.dwthelper.utils;

import dwtx.ui.services.AbstractServiceFactory;
import dwtx.ui.services.IEvaluationService;
import dwtx.ui.services.IServiceLocator;

/**
 * @since 3.4
 * 
 */
public class EvaluationServiceFactory extends AbstractServiceFactory {

    /*
     * (non-Javadoc)
     * 
     * @see dwtx.ui.services.AbstractServiceFactory#create(java.lang.Class,
     *      dwtx.ui.services.IServiceLocator,
     *      dwtx.ui.services.IServiceLocator)
     */
    public Object create(Class serviceInterface, IServiceLocator parentLocator,
            IServiceLocator locator) {
        if (!IEvaluationService.class.equals(serviceInterface)) {
            return null;
        }
        Object parent = parentLocator.getService(serviceInterface);
        if (parent is null) {
            return null;
        }
        return new SlaveEvaluationService((IEvaluationService)parent);
    }

}
