/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/

module dwtx.ui.internal.services.ServiceLocatorCreator;

import dwt.dwthelper.utils;

import dwtx.ui.services.AbstractServiceFactory;
import dwtx.ui.services.IDisposable;
import dwtx.ui.services.IServiceLocator;

/**
 * A simple service locator creator.
 * 
 * @since 3.4
 */
public class ServiceLocatorCreator implements IServiceLocatorCreator {

    public IServiceLocator createServiceLocator(IServiceLocator parent,
            AbstractServiceFactory factory, IDisposable owner) {
        return new ServiceLocator(parent, factory, owner);
    }
}
