/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 ******************************************************************************/

module dwtx.ui.internal.tweaklets.Workbench3xImplementation;

import dwt.dwthelper.utils;

import dwtx.core.runtime.IAdaptable;
import dwtx.ui.WorkbenchException;
import dwtx.ui.internal.Perspective;
import dwtx.ui.internal.WorkbenchPage;
import dwtx.ui.internal.WorkbenchWindow;
import dwtx.ui.internal.registry.PerspectiveDescriptor;

/**
 * @since 3.4
 *
 */
public class Workbench3xImplementation extends WorkbenchImplementation {

    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.WorkbenchImplementation#createWBW(int)
     */
    public WorkbenchWindow createWorkbenchWindow(int newWindowNumber) {
        return new WorkbenchWindow(newWindowNumber);
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.WorkbenchImplementation#createWBPage(dwtx.ui.internal.WorkbenchWindow, java.lang.String, dwtx.core.runtime.IAdaptable)
     */
    public WorkbenchPage createWorkbenchPage(WorkbenchWindow workbenchWindow,
            String perspID, IAdaptable input) throws WorkbenchException {
        return new WorkbenchPage(workbenchWindow, perspID, input);
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.WorkbenchImplementation#createWBPage(dwtx.ui.internal.WorkbenchWindow, dwtx.core.runtime.IAdaptable)
     */
    public WorkbenchPage createWorkbenchPage(WorkbenchWindow workbenchWindow,
            IAdaptable finalInput) throws WorkbenchException {
        return new WorkbenchPage(workbenchWindow, finalInput);
    }

    /* (non-Javadoc)
     * @see dwtx.ui.internal.tweaklets.WorkbenchImplementation#createPerspective(dwtx.ui.internal.registry.PerspectiveDescriptor, dwtx.ui.internal.WorkbenchPage)
     */
    public Perspective createPerspective(PerspectiveDescriptor desc,
            WorkbenchPage workbenchPage) throws WorkbenchException {
        return new Perspective(desc, workbenchPage);
    }

}
