/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.part.IWorkbenchPartOrientation;

import dwt.dwthelper.utils;


import dwt.DWT;
import dwtx.jface.window.Window;

/**
 * The IWorkbenchPartOrientation is the interface that defines the orientation
 * of the part. If a type does not implement this interface an orientation of
 * DWT.NONE will be assumed.
 * 
 * @see dwt.DWT#RIGHT_TO_LEFT
 * @see dwt.DWT#LEFT_TO_RIGHT 
 * @see dwt.DWT#NONE
 * @see Window#getDefaultOrientation()
 * @since 3.1
 */
public interface IWorkbenchPartOrientation {
    /**
     * Return the orientation of this part.
     * 
     * @return int DWT#RIGHT_TO_LEFT or DWT#LEFT_TO_RIGHT
     * @see Window#getDefaultOrientation()
     * @see DWT#RIGHT_TO_LEFT
     * @see DWT#LEFT_TO_RIGHT
     * @see Window#getDefaultOrientation()
     */
    public int getOrientation();
}
