/*******************************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.ui.testing.IWorkbenchPartTestable;

import dwt.dwthelper.utils;

import dwt.widgets.Composite;

/**
 * This interface provides methods that allow introspection of workbench parts.
 * Instances may be obtained by calling
 * {@link dwtx.core.runtime.IAdaptable#getAdapter(Class)} on
 * {@link dwtx.ui.IWorkbenchPartSite}.
 * 
 * <p>
 * This interface is not intended to be implemented or extended by clients.
 * </p>
 * 
 * @since 3.3
 */
public interface IWorkbenchPartTestable {

    /**
     * Get the {@link dwt.widgets.Composite} provided to the parts
     * {@link dwtx.ui.IWorkbenchPart#createPartControl(Composite)}
     * method.
     * 
     * @return the composite
     */
    public Composite getControl();
}
